LXDE-Qt:首次聯繫

首先是 PCManFM 那個載著 Qt 顯然是 LXDE 他們喜歡這個框架,因為他們只是向我們介紹了 LXDE-Qt。

lxde-qt

使用LXDE博客文章中的文字,您可以在屏幕底部看到 lxpanel-qt,的Qt端口 面板 可以,但是需要更多拋光。 另外,沒有圖形配置工具可以對其進行配置,因此我們將不得不手動觸摸xml文件。 大多數主要的小程序已經起作用。

您還可以在圖像中看到 PCManFM-Qt,看起來與原始的Gtk +版本非常相似。 牆紙和桌面圖標也由 PCManFM-Qt.

他們還在博客中告訴我們,記憶的使用 PCManFM-Qt 它比2 GTK +版本的版本略高,但差異不是很大。 總體性能類似於原始的Gtk + 2版本,現在它具有原始版本的大部分功能,幾乎可以用於日常使用。

在屏幕右側,您可以看到 LxImage-Qt,被認為是 GPicView 因為它工作得更好並且更快。

不幸的是,他們只能欣賞LXDE Git存儲庫中的所有內容,但是他們告訴我們,這不僅僅是實驗, LXDE-Qt 這將是現實。

性能

正如我們在原始文章中所知,與Gtk2中的版本相比,向Qt的遷移將導致內存使用量略有增加,但向GTK + 3的遷移也將導致資源使用量的類似增加。

由於Gtk2不再受到其創建者的支持,並且現已棄用,因此遷移到Qt並不是一個壞主意。 此外,對於大多數現有計算機,仍可以接受稍高的內存使用率。

在不同的Linux發行版之間,實際資源的使用可能有很大的不同-例如,我們在條目中告訴我們- Ubuntu的 賽跑 LXDE 傾向於使用比基於以下內容的內存更多的內存 Archlinux.

您可以在此鏈接上了解更多信息。


本文內容遵循我們的原則 編輯倫理。 要報告錯誤,請單擊 這裡.

65條評論,留下您的評論

發表您的評論

您的電子郵件地址將不會被發表。 必填字段標有 *

*

*

  1. 負責數據:MiguelÁngelGatón
  2. 數據用途:控制垃圾郵件,註釋管理。
  3. 合法性:您的同意
  4. 數據通訊:除非有法律義務,否則不會將數據傳達給第三方。
  5. 數據存儲:Occentus Networks(EU)託管的數據庫
  6. 權利:您可以隨時限制,恢復和刪除您的信息。

  1.   克羅諾斯 他說:

    我喜歡LXDE-Qt的想法,我想我們需要等待更長的時間才能完全過渡到測試。

  2.   麻風病人 他說:

    我認為LXDE是作為Gnome和KDE的較輕替代品而發明的。 但是有必要查看GTK +版本在何種程度上消耗幾乎相同。 這個主意吸引了我..我希望很快能夠自己嘗試一下。

  3.   帕夫洛科 他說:

    我的美夢成真。 如果他們賣掉了,如果我離開了小老鼠,我會買下來的。

    1.    加托 他說:

      +1

  4.   透澤潘 他說:

    可憐的XFCE,他將獨自一人……..非常孤獨。

    1.    索卡克斯 他說:

      一個人待會是一個侏儒

  5.   洛洛 他說:

    我不明白。

    如果性能相同或稍高...

    有什麼意義呢? 畢竟,大多數應用程序都是在GTK中完成的。

    1.    透澤潘 他說:

      問題是GTK2已停產。

    2.    拉夫 他說:

      性能稍高..但是不再支持Gtk2,因此Qt是一個不錯的選擇,並且它正在不斷發展。

    3.    深紫色 他說:

      好吧,隨著大多數使用Qt的用戶(Unity,KDE,LXDE)將會出現更多的Qt應用程序,這種趨勢將會改變。 而且,無論如何,您都可以毫無問題地使用Gtk ...我在KDE中使用Firefox,LibreOffice和其他工具,但我什麼都沒發生。

      1.    伊茲維普 他說:

        脈輪libreoffice沒有GTK依賴項

        1.    深紫色 他說:

          我知道,但是我不使用脈輪。
          我前一陣子用過,如果情況沒有改變,即使它們沒有GTK依賴關係,視覺集成也很差。 將光標停留在按鈕上時顯示的消息無法讀取,因為它們是非常深灰色的黑色字母...是的,我可以更改背景,但這仍然是一個問題。

          1.    深紫色 他說:

            來吧,實際上並沒有任何改善。 如果他們製作的版本使用Qt AND看起來像這樣,那將是另一回事。

    4.    玉萍 他說:

      發生的情況是gtk2已中斷。 的確,gtk2比qt輕,但是Gtk3的性能卻不比qt4或qt5好,並且由於您仍然必須進行遷移,並且gtk3的不同版本之間存在兼容性問題,我認為lxde的那些將不是從gtk2到qt的唯一(如果我沒記錯的話,openshot也將移植到qt5)

      同樣,上一次我嘗試使用pcmanfm-qt和lximage-qt時,如果他們仍然需要gtk2作為libfm的依賴項(對於libfm),那將不是純qt桌面。

  6.   餅乾 他說:

    它使我垂涎三尺。 是的,我為此離開了囓齒動物。

  7.   餅乾 他說:

    另一件事,如果您與RazorQT聯手會不會很好?
    2指向同一字段。 儘管Razor已經非常先進,無法被LXDE-QT刪除。

  8.   納米 他說:

    在我看來,也許不錯,與razor-qt或合力合作,遵循各自的道路,但共享PC-manfm之類的應用程序及其發展,從長遠來看,這取決於每個人……事實是,這如何成為現實並Lubuntu接受了這個建議,我將有更多的機會使用上網本,而不必花大量的錢在筆記本電腦上(在這裡筆記本電腦價格很高)。

    改變的理由? jojo幾不? 您必須查看這些紳士的進步情況,並了解他們能走多遠!

    1.    特魯科22 他說:

      聽起來很有希望😀

  9.   YOYO 他說:

    GTK規則

    1.    KZKG ^ Gaara 他說:

      BEEEEEPPPP…檢測到巨魔! … 大聲笑!

  10.   小丑 他說:

    它讓我想起了KDE 3.1是什麼
    也許隨著時間的流逝,LXDE最終將成為KDE 3.5的完美桌面。

  11.   腐爛87 他說:

    使用lxde-qt與使用razor-qt類似嗎?

  12.   1993年 他說:

    為什麼不加入剃刀? 都在qt中都使用OpenBox,並且都創建了一個簡單且非常輕便的桌面

  13.   玉萍 他說:

    lxinput和lxrandr應用程序也在qt中。 它們存在於脈輪ccr中

    1.    玉萍 他說:
      1.    納米 他說:

        他們看起來很漂亮xD

      2.    x11tete11x 他說:

        我像la腳一樣進入拐杖(?

      3.    加托 他說:

        有了這個,我想將XFCE更改為LXDE,我更喜歡Qt(有些程序非常像VLC),而不是GTK3,GTKXNUMX經常會解決一些鼠標問題。

  14.   名稱(必填) 他說:

    但是他們是怎麼做到的呢? 在QT4中? 我告訴你,它也沒有發展。

  15.   金屬 他說:

    第一個樣本看起來很有趣,我個人很喜歡Razor-QT,甚至在Lubuntu中使用它。

  16.   搖滾樂 他說:

    據我所知,LXDE並不打算將其開髮留在gtk中,因此qt將是一個變體。 是這樣嗎?
    另一方面,有人能確定LXDE是否有意圖將gtk2移植到gtk3嗎?
    問候。

  17.   搖滾樂 他說:

    據我所知,LXDE並不打算將其開髮留在gtk中,因此qt將是一個變體。 是這樣嗎?
    另一方面,是否有人確定LXDE團隊是否有意將桌面從gtk2移植到gtk3? 如果不是這樣,那就是qt變體將很快成為唯一真正可行的變體的事實。
    問候。

  18.   許尼奴X 他說:

    對LXDE有好處,這是我最近在想的事情,將LXDE移植到QT是最好的做法!
    儘管用KT仍然可以以很高的水平“照亮” xD,但是缺少用qT編寫的光照環境。 以我的KDE為例,一開始只消耗192MB,我擁有一個完整的環境,並且有些效果,xD絲毫沒有丟失
    我希望XFCE可以做同樣的事情,但是他們打算將其移植到gtk3,這很傷人。
    gnome和gtk不好...他們獨自一人住xD
    對於我(當然還有許多其他人),Qt是未來。

  19.   eliotime3000 他說:

    我在Debian Stable上嘗試了LXDE,而傾向於QT的決定似乎是正確的(我已經厭倦了將VLC視為經典Windows)。

    無論如何,我希望QT能夠改善LXDE,並且如果您想使用LXDE-QT正確運行GTK +應用程序,則可以將GTK +兼容性軟件包應用於QT。

    1.    pandev92 他說:

      如果看起來不好,那是因為您沒有正確應用主題XD

      1.    eliotime3000 他說:

        不幸的是,在我安裝了Debian Wheezy的DVD1上,VLC附帶了QT作為依賴項,所以請不要告訴我我沒有正確使用主題,因為Debian會自動為您配置許多依賴項,在大多數情況下,做得很好。

  20.   Federico A.ValdésToujague 他說:

    @ eliotime3000問候!!!。 在Wheezy存儲庫中,即使更新後,lxde-common的版本也為0.5.5.6,反映如下:

    *漂亮的GTK + 2國際化用戶界面。

    我問你以後是否改用Qt4

  21.   透澤潘 他說:

    有關它的更多信息:

    1)此版本的LXDE使用QT 4,它將等待QT 5.1到來。 說5刪除了一些與X11相關的API

    2)已經與Razor-qt合作。 此Google網上論壇的更多信息
    https://groups.google.com/forum/?fromgroups=#!forum/razor-qt

  22.   ike 他說:

    @ diazepan,@ Son Link,@ elav,我給您提供GTK2和GTK3的最新出版物:

    GTK2:版本2.24.19-2013-06-16
    GTK 3:版本3.6.4-2013-01-07

    為什麼說GTK2已停產?很明顯,這就是您想要的,但事實並非如此,因為許多應用程序都在GTK2中,並且沒有更改計劃,因此它仍會長期支持。

    1.    玉萍 他說:

      據我了解,Gtk2仍然有支持,但由於幾乎沒有添加任何新東西,因此它的開發已停止。

      1.    ike 他說:

        實際上,他們正在完善這些錯誤,但未添加任何新內容。

    2.    www.archlinux.org 他說:

      “很明顯,你想要什麼”,哈哈。 kde很可愛並不意味著使用qt庫更容易或更有效。 同樣現在Py-Side出來了,PyQT可能會受到影響,就我而言,我不會使用pyside ...

      1.    ike 他說:

        讓我們看看,我希望他們將XFCE遷移到Qt,因為我更喜歡它,但這並不意味著GTK不好,並且這裡有些人總是討厭GTK。 記錄下來,儘管我更喜歡Qt庫,但KDE環境卻討厭它,甚至覺得它很醜。

        1.    加托 他說:

          +1(我喜歡Qt但不喜歡KDE)

        2.    玉萍 他說:

          默認環境對您來說似乎很醜陋,但是KDE是非常可配置的。 有非常好的bespin和qtcurve主題。 如果您喜歡mac風格,則Bespin是理想的選擇;如果您喜歡gtk主題或極簡主義,則bespin是理想的選擇。
          如果是等離子,您不喜歡它,則可以使用BE :: Shell

          -BE的屏幕截圖:: Shell
          http://th3r0b.deviantart.com/art/a-screenshot-365407705

          http://fc02.deviantart.net/fs70/f/2012/279/6/6/66f7fc93cd02e8f1bad995e1d20e2e0b-d5gylvw.png

          -Qtcurve模仿基本風格
          http://th03.deviantart.net/fs71/PRE/f/2012/333/5/8/elementary_qtcurve_1_2_by_lgsalvati-d5idlwi.png

          -Qtcurve最小主題:
          http://fc05.deviantart.net/fs71/i/2012/236/c/b/droid_1_0_by_lgsalvati-d5bmxk2.png

          儘管也有可能桌面環境及其提供的體驗不符合您的喜好,並且無論它看起來如何看起來都很難看。 例如,我不喜歡XFCE(對我的口味有點興奮)和肉桂(我什至不知道為什麼我不喜歡XD)。

  23.   卡卡西 他說:

    無關
    Debian 7 Wheezy帶來了內核Pae? 可以將其安裝在具有Intel“ Dothan” cpu的筆記本電腦上嗎?

    1.    eliotime3000 他說:

      Pae隨大多數處理器一起提供,例如NX,因此可以解決此問題。

      如果您在富士康主板上安裝了Slackware,那將是一個問題,當我嘗試在這些主板上安裝/模擬該發行版時,這會奇怪地引起我內核崩潰。

  24.   獅子座 他說:

    我不知道我是否錯了,但是我認為openbox具有gtk2依賴性,會不會有很多預加載的庫?
    但在消耗方面,他們也不必擔心太多,因為在最壞的情況下,會使用“去皮” openbox

    1.    玉萍 他說:

      Openbox不依賴任何工具包。 我在未安裝gtk的chakra中編譯了它。
      儘管pcmanfm依賴於libfm,但它確實依賴於gtk2(儘管我認為稍後也將移植)

  25.   st0rmt4il 他說:

    我很高興他們選擇了遷移到QT,我希望有了它,會有更多的開發人員在此環境中提供幫助,並繼續以RAM的低消耗為特徵。

    的問候!

  26.   阿茲克斯 他說:

    我喜歡這個主意!!,我真的推薦滾動發行版本,這樣他們就可以擁有最新的版本以及以前版本中修復的錯誤,就我個人而言,我正在攀登Linux發行版,從最簡單到最大困難,我從ubuntu開始,但是在沒有manjaro之前,我建議它以100%的簡單安裝方式(如ubuntu)進行推薦,其變化是因為ubuntu使我灰白,因為它的速度很慢並且您無法擁有最後一個,我目前正在使用manjaro,下一步將是archlinux,由於時間的原因,我無法更改,但是我會的。
    對於那些對Ubuntu感到憤怒的人,對於我來說,latpops的不穩定是更好的選擇,如果您想更好地安裝KDE圖形界面,或者快速安裝LXDE圖形界面(建議在GTK或Qt中使用,我建議Qt)。
    我的最後一步是將硬件轉移到完全免費的硬件上,當時我正在尋找一台筆記本電腦,但我發現了,這是地址。

    1.    阿茲克斯 他說:

      對不起,我的手指離開了,這是地址:
      http://www.crowdsupply.com/kosagi/novena-open-laptop